Skip to content

API V1 · Context Images

List context images

GET
/v1/{workspaceUrl}/projects/{projectUrl}/contextImages
curl --request GET \
--url https://api.lingohub.com/v1/WORKSPACE_URL/projects/PROJECT_URL/contextImages \
--header 'Authorization: Bearer YOUR_API_KEY'

Retrieves a list of the context images. This is a paginated endpoint; see the page and size query parameters to control pagination.

workspaceUrl
required
string

WorkspaceUrl

projectUrl
required
string

ProjectUrl

urlFilter
string

A filter based on UrlFilter

Example

to fetch context images not bound to any segments: urlFilter={"where":{"_and":[{"contextImage[segments]":{"_npresent":true}}]}}
page
integer

Zero-based page index (0..N)

sort
string

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

size
integer

The size of the page to be returned

OK: Returns a paginated list of the context images for the specified project.

Media type*/*
object
content
required
Array<object>

Response object containing details of a context image including its connection status and metadata

object
id
required

The unique identifier of the context image in the format ‘ci_<encrypted_id>’

string

Example

ci_18USq6822XIv-19847171
name
required

The original filename of the uploaded context image

string
description
required

Optional user-provided description of the context image

string | null

Example

Screenshot of the main dashboard showing the navigation menu
imageUrl
required

The full URL to view the context image via Cloudflare Images CDN

string
projectTitle
required

The title of the project this context image belongs to

string
languageCode
required

The ISO 639-1 language code (with optional regional variant) this context image is associated with

string

Example

en
connectedSegmentLanguagesCount
required

The count of text segments that are definitively connected to this context image

integer format: int64
segmentLanguagesSuggestionsCount
required

The count of text segment connection suggestions pending review

integer format: int64
source
required

The source channel through which the context image was uploaded

string
Allowed values: WEB API FIGMA SDK
uploadStatus
required

The current upload processing status of the image

string
Allowed values: PROCESSING DONE ERROR
textDetectionStatus
required

The current status of the OCR text detection process

string
Allowed values: SCHEDULED PROCESSING DONE ERROR
createdAt
required

The timestamp when the context image was originally uploaded

string format: date-time
updatedAt
required

The timestamp when the context image was last updated

string format: date-time
contentSize
required
integer format: int32
empty
required
boolean
first
required
boolean
last
required
boolean
next
required
boolean
pageNumber
required
integer format: int32
pageSize
required
integer format: int32
totalPages
required
integer | null format: int32
totalElements
required
integer | null format: int64